package com.agenda.model;
// Generated 12-12-2019 01:41:24 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Usuarios generated by hbm2java
 */
@Entity
@Table(name = "usuarios", catalog = "agenda", uniqueConstraints = @UniqueConstraint(columnNames = "usuario"))
@SuppressWarnings("serial")
public class Usuarios implements java.io.Serializable {

	private int id;
	private Personas personas;
	private TiposUsuarios tiposUsuarios;
	private String usuario;
	private String pass;
	private List<Actividades> actividadeses = new ArrayList<Actividades>();

	public Usuarios() {
	}

	public Usuarios(int id, Personas personas, TiposUsuarios tiposUsuarios, String usuario, String pass) {
		this.id = id;
		this.personas = personas;
		this.tiposUsuarios = tiposUsuarios;
		this.usuario = usuario;
		this.pass = pass;
	}

	public Usuarios(int id, Personas personas, TiposUsuarios tiposUsuarios, String usuario, String pass,
			List<Actividades> actividadeses) {
		this.id = id;
		this.personas = personas;
		this.tiposUsuarios = tiposUsuarios;
		this.usuario = usuario;
		this.pass = pass;
		this.actividadeses = actividadeses;
	}

	@Id

	@Column(name = "id", unique = true, nullable = false)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@OneToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "persona", nullable = false)
	public Personas getPersonas() {
		return this.personas;
	}

	public void setPersonas(Personas personas) {
		this.personas = personas;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "tipo_usuario", nullable = false)
	public TiposUsuarios getTiposUsuarios() {
		return this.tiposUsuarios;
	}

	public void setTiposUsuarios(TiposUsuarios tiposUsuarios) {
		this.tiposUsuarios = tiposUsuarios;
	}

	@Column(name = "usuario", unique = true, nullable = false, length = 50)
	public String getUsuario() {
		return this.usuario;
	}

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	@Column(name = "pass", nullable = false, length = 8)
	public String getPass() {
		return this.pass;
	}

	public void setPass(String pass) {
		this.pass = pass;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "usuarios")
	public List<Actividades> getActividadeses() {
		return this.actividadeses;
	}

	public void setActividadeses(List<Actividades> actividadeses) {
		this.actividadeses = actividadeses;
	}

}
